// Simple example module

#include <apache2/httpd.h>
#include <apache2/http_config.h>
#include <apache2/http_protocol.h>

module AP_MODULE_DECLARE_DATA hello_module;

static int request_handler(request_rec *r) {
	if (strcmp(r->handler, "hello-world"))
		return DECLINED;

	ap_set_content_type(r, "text/plain");
	ap_rputs("Hello, world!\n", r);

	return OK;
}

static void register_hooks(__attribute__((unused)) apr_pool_t *p) {
	ap_hook_handler(request_handler, NULL, NULL, APR_HOOK_MIDDLE);
}

module AP_MODULE_DECLARE_DATA hello_module = {
	STANDARD20_MODULE_STUFF,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	register_hooks
};
